import { ComponentProps, useContext } from 'react';

import classNames from 'classnames';
import { Menu } from 'reakit/Menu';

import { SelectContext } from './context';

export function SelectList({
  children,
  className,
  ...props
}: ComponentProps<typeof Menu>) {
  const state = useContext(SelectContext);
  return (
    <Menu
      className={classNames(
        'transition-opacity w-full py-1 rounded-lg shadow-soft bg-white focus:outline-none z-20 data-enter:opacity-100 opacity-0',
        className
      )}
      {...state}
      {...props}
    >
      {children}
    </Menu>
  );
}
