import { ReactNode, Ref, useContext } from 'react';

import classNames from 'classnames';
import { MenuItemRadio } from 'reakit/Menu';

import { SelectContext } from './context';

export interface SelectOptionProps {
  children: ReactNode;
  value: string;
  className?: string;
}

export function SelectOption(
  { children, className, value, ...props }: SelectOptionProps,
  ref: Ref<HTMLButtonElement>
) {
  const context = useContext(SelectContext);
  return (
    <MenuItemRadio
      className={classNames(
        'block w-full text-left px-4 py-2 focus:outline-none text-grayDark focus:bg-graySoft focus:bg-opacity-25',
        className
      )}
      {...context?.state}
      {...props}
      value={value}
      name={context?.name}
      ref={ref}
    >
      {children}
    </MenuItemRadio>
  );
}
